require "common"
require "musubi"

-- function to create a dir
function createDir (dirname)
   os.execute("mkdir " .. dirname)
end

if arg[1] == 'seeder' then
  createDir('mesh/lh'..l_h)
  createDir('mesh/'..subprefix)
end

if arg[1] == 'solver' then
  createDir('Re'..Re)
  createDir(prefix)
  createDir(prefix..'lh'..l_h)
  createDir(prefix..subprefix)
  createDir(tracking_fol)
  createDir(prefix..subprefix..'/harvest')
  createDir(output_fol)
  createDir(restart_fol)
end
